## ros-indigo-yocs-cmd-vel-mux 0.6.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(yocs_cmd_vel_mux)
find_package(catkin REQUIRED COMPONENTS roscpp pluginlib nodelet dynamic_reconfigure geometry_msgs)

# pkg-config support
find_package(PkgConfig)
pkg_search_module(yaml-cpp REQUIRED yaml-cpp)

if(NOT ${yaml-cpp_VERSION} VERSION_LESS "0.5")
add_definitions(-DHAVE_NEW_YAMLCPP)
endif()

# Dynamic reconfigure support
generate_dynamic_reconfigure_options(cfg/reload.cfg)

catkin_package(
   INCLUDE_DIRS include
   LIBRARIES ${PROJECT_NAME}_nodelet
   CATKIN_DEPENDS roscpp pluginlib nodelet dynamic_reconfigure geometry_msgs
   DEPENDS yaml-cpp
)

include_directories(include ${catkin_INCLUDE_DIRS} ${yaml-cpp_INCLUDE_DIRS})

# Nodelet library
add_library(${PROJECT_NAME}_nodelet src/cmd_vel_mux_nodelet.cpp src/cmd_vel_subscribers.cpp)
add_dependencies(${PROJECT_NAME}_nodelet geometry_msgs_gencpp)
add_dependencies(${PROJECT_NAME}_nodelet ${PROJECT_NAME}_gencfg)

target_link_libraries(${PROJECT_NAME}_nodelet ${catkin_LIBRARIES} ${yaml-cpp_LIBRARIES})

install(TARGETS ${PROJECT_NAME}_nodelet
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(DIRECTORY plugins
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY param
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-yocs-cmd-vel-mux (0.6.4-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-yocs-cmd-vel-mux (0.6.3-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 04 Dec 2014 15:00:00 -0000

ros-indigo-yocs-cmd-vel-mux (0.6.2-0trusty) trusty; urgency=high

  * yocs_cmd_vel_mux: fixes node handle for output pub
    to keep backwards compatibility
  * adds a little launcher restructing for muxer and smoother
  * Contributors: Marcus Liebhardt

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sat, 29 Nov 2014 15:00:00 -0000

ros-indigo-yocs-cmd-vel-mux (0.6.0-0trusty) trusty; urgency=high

  * updating package informations. remove email for authors. updating maintainer
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 07 Jul 2014 15:00:00 -0000

ros-indigo-yocs-cmd-vel-mux (0.5.3-0trusty) trusty; urgency=high

  * Added support for YAML-CPP 0.5+.
    The new yaml-cpp API removes the "node >> outputvar;" operator, and
    it has a new way of loading documents. There's no version hint in the
    library's headers, so I'm getting the version number from pkg-config.
    This part of the patch is a port of the ones created by @ktossell for
    map_server and other packages.
    The new yaml-cpp also does not have FindValue.
  * Contributors: Scott K Logan

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 23 Mar 2014 15:00:00 -0000

ros-indigo-yocs-cmd-vel-mux (0.5.2-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 04 Nov 2013 15:00:00 -0000

ros-indigo-yocs-cmd-vel-mux (0.5.1-0trusty) trusty; urgency=high

  * Unify naming politics for binaries and plugins.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 13 Oct 2013 15:00:00 -0000

ros-indigo-yocs-cmd-vel-mux (0.5.0-0trusty) trusty; urgency=high

  * Renamed as yocs_cmd_vel_mux.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 10 Oct 2013 15:00:00 -0000

ros-indigo-yocs-cmd-vel-mux (0.4.1-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 07 Oct 2013 15:00:00 -0000

ros-indigo-yocs-cmd-vel-mux (0.4.0-0trusty) trusty; urgency=high

  * Add bugtracker and repo info URLs.
  * Changelogs at package level.
  * License link fixed.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Wed, 28 Aug 2013 15:00:00 -0000

ros-indigo-yocs-cmd-vel-mux (0.3.0-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 01 Jul 2013 15:00:00 -0000

ros-indigo-yocs-cmd-vel-mux (0.2.3-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 14 Apr 2013 15:00:00 -0000

ros-indigo-yocs-cmd-vel-mux (0.2.2-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sat, 09 Feb 2013 15:00:00 -0000

ros-indigo-yocs-cmd-vel-mux (0.2.1-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 07 Feb 2013 15:00:00 -0000

ros-indigo-yocs-cmd-vel-mux (0.2.0-0trusty) trusty; urgency=high

  * Catkinized.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Wed, 06 Feb 2013 15:00:00 -0000

ros-indigo-yocs-cmd-vel-mux (0.1.3-0trusty) trusty; urgency=high

  * More generous description.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 07 Jan 2013 15:00:00 -0000

ros-indigo-yocs-cmd-vel-mux (0.1.2-0trusty) trusty; urgency=high

  * Dynamically reconfigurable.
  * Upgraded to new groovy plugin formats.
  * Add reconfigure launcher and parameter file.
  * Add a dynamic reconfigure script to accept a yaml filename.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Tue, 01 Jan 2013 15:00:00 -0000

ros-indigo-yocs-cmd-vel-mux (0.1.1-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 20 Dec 2012 15:00:00 -0000

ros-indigo-yocs-cmd-vel-mux (0.1.0-0trusty) trusty; urgency=high

  * Initial version.

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Tue, 04 Dec 2012 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-yocs-cmd-vel-mux
Section: misc
Priority: extra
Maintainer: Jihoon Lee <jihoonl@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-nodelet, ros-indigo-pluginlib, ros-indigo-roscpp
Homepage: http://ros.org/wiki/yocs_cmd_vel_mux
Standards-Version: 3.9.2

Package: ros-indigo-yocs-cmd-vel-mux
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-nodelet, ros-indigo-pluginlib, ros-indigo-roscpp
Description: A multiplexer for command velocity inputs. Arbitrates incoming cmd_vel messages from several topics, allowing one topic at a time to command the robot, based on priorities. It also deallocates current allowed topic if no messages are received after a configured timeout. All topics, together with their priority and timeout are configured through a YAML file, that can be reload at runtime.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-yocs-cmd-vel-mux//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
